{% extends 'pathotrack/layout/base.html' %}
{% load widget_tweaks %}

{% block content %}

<div class="row">
  <div class="col-12">
    <form method="post" class="card">
      {% csrf_token %}

      <div class="card-header">
        <h4 class="card-title">Pathology Report</h4>
        <span class="badge bg-purple ml-2 px-2">
          {{ request.session.patient_name }}
          <span class="badge-addon">{{ request.session.patient_age }} / {{ request.session.patient_sex }}</span>
        </span>
      </div>

      <div class="card-body">
        <div class="row">
          {% for field in form %}
          <div class="form-group col-md-4 mb-3">
            {{ field.label }}
            {% if field|field_type == "typedchoicefield" or field|field_type == "modelchoicefield" %}
            {{ field|add_class:"form-select mt-1" }}
            {% else %}
            {{ field|add_class:"form-control mt-1" }}
            {% endif %}
          </div>
          {% endfor %}
        </div>
        <input type="hidden" name="pathology_id" id="pathology_id" value="" >
        <div id="pathology_id_alert" class="alert alert-dismissible" style="display:none" role="alert">
        </div>
      </div>

      <div class="card-footer text-right">
        <div class="d-flex">
          <a href="{% url 'patients:details' %}" class="btn btn-secondary m-1" type="submit" name="submit" value="cancel">Back</a>
          <button class="btn btn-info m-1 ml-auto" type="submit" name="submit" value="save">Save & Return</button>
          <button class="btn btn-primary m-1" type="submit" name="submit" value="continue">Submit & Continue</button>
        </div>
      </div>
    </form>
  </div>
</div>
<script>
 var pathology_id_part = "{{ pathology_id_part }}"
 $("#id_report_type").on("change", function() {
     var report_type = $(this).find(':selected').text()[0];
     var pathology_id = report_type + "-" + pathology_id_part
     $('#pathology_id_alert').show();
     $('#pathology_id_alert').empty();
     $('#pathology_id_alert').append('Pathology ID:  <b>'+pathology_id+'</b><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>');
     $('#pathology_id_alert').addClass('alert-info');
     $('#pathology_id').val(pathology_id);

 });
</script>
{% endblock content %}
